<?php

namespace Layerdrops\Ostech\Widgets;


class Process extends \Elementor\Widget_Base
{
    public function get_name()
    {
        return 'ostech-process';
    }

    public function get_title()
    {
        return __('Process', 'ostech-addon');
    }

    public function get_icon()
    {
        return 'eicon-cogs';
    }

    public function get_categories()
    {
        return ['ostech-category'];
    }

    protected function register_controls()
    {

        $this->start_controls_section(
            'layout_section',
            [
                'label' => __('Layout', 'ostech-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
            ]
        );

        $this->add_control(
            'layout_type',
            [
                'label' => __('Select Layout', 'ostech-addon'),
                'type' => \Elementor\Controls_Manager::SELECT2,
                'default' => 'layout_one',
                'options' => [
                    'layout_one' => __('Layout One', 'ostech-addon'),
                ]
            ]
        );

        $this->end_controls_section();

        include ostech_get_elementor_option('process-one-option.php');

        //style
        $this->start_controls_section(
            'general_style',
            [
                'label' => esc_html__('Style Options', 'ostech-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_STYLE,
            ]
        );

        ostech_elementor_general_style_options($this, 'Section Title', '{{WRAPPER}} .sec-title__title', ['layout_one']);
        ostech_elementor_general_style_options($this, 'Section Sub Title', '{{WRAPPER}} .sec-title__tagline', ['layout_one']);

        ostech_elementor_general_style_options($this, 'Title', '{{WRAPPER}} .work-process-one__item__title', ['layout_one']);
        ostech_elementor_general_style_options($this, 'Sub Title', '{{WRAPPER}} .work-process-one__item__text', ['layout_one']);

        ostech_elementor_general_style_options($this, 'Number Color', '{{WRAPPER}} .work-process-one__item__thumb__number', ['layout_one'], 'background-color', false);


        $this->end_controls_section();
    }

    protected function render()
    {
        $settings = $this->get_settings_for_display();
        include ostech_get_template('process-one.php');
    }
}
